2010年8月13日

[plamo:30727] Plamo-4.73b1 パッケージ更新


先にアナウンスしました Plamo-4.73b1 ですが,Heimdal ライブラリのバージョ
ンチェックにミスがあり,一部パッケージが動作しなくなっていました.

具体的には 09_webdb/ 以下の各パッケージ(PostgreSQL, Apache httpd, PHP)
を動かすにはheimdal-1.3.3-i586-P2.tgz が必要ですが,
heimdal-1.3.3-i586-P2.tgz に更新すると,heimdal-1.2-i586-P3.tgz に依存
しているバイナリが動作しなくなりそうです.


# ざっと調べた限りでは,heimdal-1.2 と 1.3 の間で,libroken 共有ライブ
# ラリが,バージョン番号が同じまま一部のシンボル名が変更された(bswap16
# が rk_bswap16 に改名された,等)ことが原因みたい

そのため,heimdal-1.3.3-i586-P2.tgz に合わせて,libkrb5.so.25 を参照し
ていたバイナリをコンパイルし直したので,b1 を入れた方は,ぜひこれらの更
新も合わせて適用して動作テストをお願いします.

更新したパッケージは FTP サイトの Plamo-test/for-4.7x/ ディレクトリに集めています.

heimdal-1.3.3 パッケージと関連するパッケージは以下の通りです.

heimdal-1.3.3-i586-P2.tgz
deskbar_applet-2.26.2-i586-P2.tgz
evolution-2.26.3-i586-P2.tgz
evolution_data_server-2.26.3-i586-P2.tgz
evolution_exchange-2.26.3-i586-P2.tgz
evolution_webcal-2.26.0-i586-P2.tgz
gnome_vfs-2.24.1-i586-P2.tgz
gst_plugins_bad-0.10.19-i586-P4.tgz
kdelibs-4.3.5-i586-P2.tgz
pam_krb5-4.3-i586-P1.tgz
remctl-2.16-i586-P1.tgz
rhythmbox-0.12.8-i586-P2.tgz
samba-3.0.37-i586-P4.tgz
totem-2.26.5-i586-P5.tgz
totem_pl_parser-2.26.3-i586-P3.tgz

また,あれこれ調べているうちに,perl 用のモジュールが古いバージョン用の
ままになっているものも気がついたので,以下のパッケージも合わせて更新し
てみました.

GraphicsMagick-1.3.12-i586-P2.tgz
Jcode-2.07-i586-P1.tgz
git-1.7.2.1-i586-P1.tgz
net_snmp-5.4.3-i586-P1.tgz
nkf-2.1.0-i586-P1.tgz
obexftp-0.23-i586-P2.tgz
perl_File_MMagic-1.27-i586-P3.tgz
redland-1.0.10-i586-P1.tgz
redland_bindings-1.0.10.1-i586-P1.tgz

-------
こじま

投稿者 xml-rpc : 2010年8月13日 11:34
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/97623
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。